/* ViewScreen.h - Declare and Initialize newscreen structure */

struct NewScreen newscreen =
{
   0,                   /* SHORT LeftEdge */
   0,                   /* SHORT TopEdge */
   STDSCREENWIDTH,                 /* SHORT Width */
   LACE_HEIGHT,                 /* SHORT Height */
   DEPTH,                   /* SHORT Depth */
   DETAIL_PEN,                  /* UBYTE DetailPen */
   BLOCK_PEN,                  /* UBYTE BlockPen */
   LACE,               /* USHORT ViewModes */
   CUSTOMSCREEN,        /* USHORT Type */
   NULL,                /* struct TextAttr *Font */
   "HDFView 3.01",   /* UBYTE DefaultTitle */
   NULL,                /* struct Gadget *Gadgets */
   NULL                 /* struct BitMap *CustomBitMap */
};                                       

UWORD sPens [] = {0,1,1,2,1,3,1,0,3,~0};
   
struct TagItem sTag[] = {
   {SA_Pens,(LONG)sPens},
/*   {SA_Overscan,OSCAN_STANDARD},*/
   {SA_AutoScroll,TRUE},   
   {TAG_DONE,NULL}
};
                  

