#include <exec/types.h>
#include <iff/iff.h>
#include <iff/iffpragmas.h>
#include <proto/intuition.h>
#include "viewprotos.h"

extern struct Screen *imageScreen;
extern struct Screen *gScreen;
extern struct IFFBase *IFFBase;
extern char hdffilename[81];
extern char hdfdirname[81];

VOID
dumpIff(int w, int h, char *file)
{
   int result;
   char *filename;
   char fn[81];
   
   strcpy(fn,hdffilename);
   strcat(fn,".iff");
   
   scrollUp(gScreen,10);
   
   if(!(filename=getFilename(fn,hdfdirname,"Save IFF file...","#?.iff")))
   {
      scrollDown(gScreen,180);
      return;
   }
   
   result = SaveBitMap(filename,imageScreen->BitMap,
                  imageScreen->ViewPort.ColorMap->ColorTable, 1);
   if(result==0) request("Can not write the file!",NULL);               
   
   scrollDown(gScreen,180);
}                  
