#include    <exec/types.h>
#include    <intuition/intuition.h>
#include    <proto/intuition.h>
#include    <proto/graphics.h>
#include    <stdio.h>


#include    "View_define.h"
#include    "ViewProtos.h"

#include    "hame.h"

extern   struct ViewPort   *frontViewPort;
extern   struct HamePort   *hamePort;
extern   struct Library    *HameBase;
extern   int   HAME_r[256], HAME_g[256], HAME_b[256];
extern   int   r_32[32], g_32[32], b_32[32];
extern   int   r_16[16], g_16[16], b_16[16];

VOID
setColors(int mode)
{

int i;   
   

if( (mode == COLORS_32) ||  (mode == COLORS_LACE_32) )
{
   for(i=0;i<32;i++)  SetRGB4(frontViewPort, i, r_32[i], g_32[i], b_32[i]);
}

if(mode==COLORS_16 || mode==COLORS_LACE_16 )
{
   for(i=0;i<16;i++) SetRGB4(frontViewPort, i, r_16[i], g_16[i], b_16[i]);
}

if( (mode==HAME) || (mode==HAME_LACE) )
{
   
   for(i=0;i<256;i++)
      HAME_SetRGB8(hamePort,i,HAME_r[i],HAME_g[i],HAME_b[i]);
}

   return;
}  
